summaryrefslogtreecommitdiffstats
path: root/libraries/allegro
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:12 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:12 +0200
commit9f446dd07bec3a0b77f1573f2f378895d6315cc8 (patch)
treecffcc2cddc220958e6b5781ff0e9e7847c24129b /libraries/allegro
parent879e5a785e0adf1ff35a467395a4a8fc4da26307 (diff)
downloadslackbuilds-9f446dd07bec3a0b77f1573f2f378895d6315cc8.tar.gz
slackbuilds-9f446dd07bec3a0b77f1573f2f378895d6315cc8.tar.xz
libraries/allegro: Initial import
Diffstat (limited to 'libraries/allegro')
-rw-r--r--libraries/allegro/README16
-rw-r--r--libraries/allegro/allegro.SlackBuild54
-rw-r--r--libraries/allegro/allegro.info8
-rw-r--r--libraries/allegro/slack-desc11
4 files changed, 89 insertions, 0 deletions
diff --git a/libraries/allegro/README b/libraries/allegro/README
new file mode 100644
index 0000000000..26ebc0354f
--- /dev/null
+++ b/libraries/allegro/README
@@ -0,0 +1,16 @@
+The Allegro library provides C/C++ programmers low level routines commonly
+needed in game programming, such as input, graphics, midi, sound effects, and
+timing. It is cross platform and works with many different compilers.
+Originally developed by Shawn Hargreaves, it is now a group project with
+contributions from all over the world! Some of its key features include:
+
+ * Ease of Use - comes with comprehensive documentation and examples
+ * Extensibility - if the built-in functionality isn't enough, there
+ are many add-ons available
+ * Cross Platform - without changing a single line of code, you can
+ create versions for Windows, OS X, Linux, DOS, and others! Works
+ with many compilers, including DJGPP and VC++
+ * Open Source - anyone can contribute, including you!
+ * Free - it won't cost you a dime, and there are no restrictions on
+ its usage
+
diff --git a/libraries/allegro/allegro.SlackBuild b/libraries/allegro/allegro.SlackBuild
new file mode 100644
index 0000000000..abe892188a
--- /dev/null
+++ b/libraries/allegro/allegro.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for allegro
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+# This selects it's own flags for compilation, resulting in -mtune=pentium
+# on modern (>=i586) machines. Hence no CFLAGS and the i586 ARCH.
+
+PRGNAM=allegro
+VERSION=4.2.1
+ARCH=${ARCH:-i586}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-shared=yes \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+make install-gzipped-man DESTDIR=$PKG || exit 1
+make install-gzipped-info DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.txt todo.txt AUTHORS CHANGES THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/allegro/allegro.info b/libraries/allegro/allegro.info
new file mode 100644
index 0000000000..9d605f0db0
--- /dev/null
+++ b/libraries/allegro/allegro.info
@@ -0,0 +1,8 @@
+PRGNAM="allegro"
+VERSION="4.2.1"
+HOMEPAGE="http://www.allegro.cc/"
+DOWNLOAD="http://www.allegro.cc/files/4.2.1/allegro-4.2.1.tar.gz"
+MD5SUM="0a09d0144ee8652fb8fa00f6cbb324fe"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/allegro/slack-desc b/libraries/allegro/slack-desc
new file mode 100644
index 0000000000..60d2a051ec
--- /dev/null
+++ b/libraries/allegro/slack-desc
@@ -0,0 +1,11 @@
+allegro: Allegro - The Allegro Gaming Library
+allegro:
+allegro: The Allegro library provides C/C++ programmers low level routines
+allegro: commonly needed in game programing, such as input, graphics, midi,
+allegro: sound effects, and timing.
+allegro:
+allegro: http://www.allegro.cc/
+allegro:
+allegro:
+allegro:
+allegro: